Subject: Re: [PATCH 03/16] pull: cleanup documentation

From: Junio C Hamano <[email-masked]>
Date: Thu, 31 Oct 2013 12:42:26 -0700

Max Horn <[email-masked]> writes:

>> ... The "reality" is more like this:
>> 
>>      origin/master in your repository
>>      |
>>      v
>>      A---B---C master at origin
>>     /
>>    D---E---F---G master in your repository
>> 
>> if you really want to write origin/master somewhere in this
>> illustration.
>
> Actually, I kind of like that. After just reading the existing
> phrasing in git-pull.txt, I doubt that a newbie would catch the
> difference between "origin/master" and "master at origin". With this
> illustration, it's very clearly conveyed that there is a difference.

Yeah, after re-reading the part of the documentation with the
illustration replaced with the above, I was coming to the same
conclusion.